#ifndef MINORI_GUI_WIDGETS_ELIDED_LABEL_H_
#define MINORI_GUI_WIDGETS_ELIDED_LABEL_H_

#include <QFrame>
#include <QString>

class QPaintEvent;
class QWidget;

class ElidedLabel : public QFrame {
public:
	ElidedLabel(const QString& text, QWidget* parent = nullptr);
	void SetText(const QString& text);

protected:
	QString content;

	void paintEvent(QPaintEvent* event) override;
};

#endif // MINORI_GUI_WIDGETS_ELIDED_LABEL_H_
